easy_admin:
    entities:
        Headers:
            disabled_actions: ['show','new','delete']
            class: App\Entity\Headers

            list:
                role: ROLE_VISITOR
                dql_filter: "entity.isDeleted = false"
                fields:
                    - id
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'updatedAt'
                      label: 'label.updatedAt'

                    -
                      property: 'type'
                      label: 'label.type'
                      template: 'field_type.html.twig'

                    -
                      property: 'image'
                      label: 'label.image.label'
                      type: 'image'
                      base_path: '/uploads/headers'

            edit:
                role: ROLE_WRITER
                fields:
                    -
                      property: 'title'
                      label: 'label.title'

                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                      type_options:
                        required: false

                    -
                      property: 'link'
                      label: 'label.link'
                      type_options:
                        required: false

                    -
                      property: 'linkLabel'
                      label: 'label.linkLabel'
                      type_options:
                        required: false


                    - property: 'imageFile'
                      label: 'label.image.headers'
                      base_path: '/uploads/headers'
                      template: 'vich_uploader_image.html.twig'
                      type: 'vich_image'
                      type_options:
                        required: false

